﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IndustryConnect.Bootcamp.Four
{
    class JobReadyProgram : IJobReadyProgram
    {
        public void Join(IJobSeeker jobSeeker)
        {
            LearnPracticalSkills(jobSeeker);

            LearnByWorkingOnLiveProject(jobSeeker);

            // Experience level increases after two methods above
            jobSeeker.ExperienceLevel++;
            Console.WriteLine("Now {0}'s experience level is {1}", jobSeeker.Name, jobSeeker.ExperienceLevel);
        }

        void LearnPracticalSkills(IJobSeeker jobSeeker)
        {
            // http://www.industryconnect.co.nz/job-ready-programme/
            Console.WriteLine("{0} is learning in-demand and practical skills", jobSeeker.Name);
        }

        void LearnByWorkingOnLiveProject(IJobSeeker jobSeeker)
        {
            // http://www.industryconnect.co.nz/commercial-project-experience/
            Console.WriteLine("{0} is learning by resolving real world commercial problems. Gaining hands on development experience.", jobSeeker.Name);
        }
    }
}
